Loading...
Searching...
No Matches
OpenMesh::Utils::NumLimitsT< Scalar > Class Template Reference

This class provides the maximum and minimum values a certain scalar type (`int`, `float`, or `double`) can store. More...

`#include <Tools/Utils/NumLimitsT.hh>`

## Public Member Functions

bool | is_float ()
bool | is_float ()
bool | is_float ()
bool | is_signed ()
bool | is_signed ()
bool | is_signed ()
bool | is_signed ()
bool | is_signed ()
int | min ()
int | max ()
float | min ()
float | max ()
double | min ()
double | max ()

## Static Public Member Functions

static Scalar | min ()
| Return the smallest absolte value a scalar type can store.
static Scalar | max ()
| Return the maximum absolte value a scalar type can store.
static bool | is_float ()
static bool | is_integer ()
static bool | is_signed ()

## Detailed Description

template<typename Scalar>
class OpenMesh::Utils::NumLimitsT< Scalar >

This class provides the maximum and minimum values a certain scalar type (`int`, `float`, or `double`) can store.

You can use it like this:

Note
  This functionality should be provided by std::numeric_limits. This template does not exist on gcc <= 2.95.3. The class template NumLimitsT is just a workaround.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Utils/NumLimitsT.hh